package com.hfkj.service.recharge;

import com.hfkj.entity.RechargePrice;

import java.util.List;
import java.util.Map;

public interface PriceService {

    /**
     * @MethodName create
     * @Description: 创建
     * @param rechargePrice
     * @Author: Sum1Dream
     * @Date: 2024/6/19 下午3:15
     */
    void create(RechargePrice rechargePrice);

    /**
     * @MethodName update
     * @Description: 更新
     * @param rechargePrice
     * @Author: Sum1Dream
     * @Date: 2024/6/19 下午3:15
     */
    void update(RechargePrice rechargePrice);

    /**
     * @MethodName delete
     * @Description:删除
     * @param id
     * @param fullDelete
     * @Author: Sum1Dream
     * @Date: 2024/6/19 下午3:15
     */
    void delete(Long id , Boolean fullDelete);

    /**
     * @MethodName queryDetail
     * @Description: 查询
     * @param id
     * @return: com.hfkj.entity.RechargePrice
     * @Author: Sum1Dream
     * @Date: 2024/6/19 下午3:15
     */
    RechargePrice queryDetail(Long id);

    /**
     * @MethodName getList
     * @Description: 查询列表
     * @param map
     * @return: java.util.List<com.hfkj.entity.RechargePrice>
     * @Author: Sum1Dream
     * @Date: 2024/6/19 下午3:16
     */
    List<RechargePrice> getList(Map<String , Object> map);
}
